### Enumeration

# Ggit DiffFormatType

#### Declaration

    enum Ggit.DiffFormatType

#### Description [src]

Possible output formats for diff data.

#### Members

`GGIT_DIFF_FORMAT_PATCH`

  Full git diff.

  - Value: `1`
  - Available since: 1.0
`GGIT_DIFF_FORMAT_PATCH_HEADER`

  Just the file headers of patch.

  - Value: `2`
  - Available since: 1.0
`GGIT_DIFF_FORMAT_RAW`

  Like git diff —raw.

  - Value: `3`
  - Available since: 1.0
`GGIT_DIFF_FORMAT_NAME_ONLY`

  Like git diff —name-only.

  - Value: `4`
  - Available since: 1.0
`GGIT_DIFF_FORMAT_NAME_STATUS`

  Like git diff —name-status.

  - Value: `5`
  - Available since: 1.0